#ifndef ENGINE_H
#define ENGINE_H

#include "SparrowInput/input.h"

class Engine{
public:
    Engine(Input* _input);
    //main function
    void update();
    void render();
    void updatePhysics();

    //utils function
    unsigned int getTime();
    unsigned int getDeltaTime();

private:
    Input* input;
    sf::Clock clock;
    unsigned int timeStamp = 0;
    unsigned int lastTimeStamp = 0;
};

#endif
